
Redmine - Defect #649

Menu translations broken

2008-02-13 10:08 - Michael Pirogov

Status: Closed Start date: 2008-02-13

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Menu translations broken in /lib/redmine.rb after r1137.

Missed  :caption => in menu items.

Related issues:

Related to Redmine - Patch #650: Menu translation Closed 2008-02-13

Associated revisions

Revision 1172 - 2008-02-22 19:19 - Jean-Philippe Lang

Menus items:

fixed broken translation when a plugin is installed (closes #649)

small fix to the plugin API: options parameter added to Redmine::Plugin#menu

History

#1 - 2008-02-13 10:38 - Michael Pirogov

Patch has been included in #650

#2 - 2008-02-14 22:27 - Jean-Philippe Lang

Some :caption options were intentionally removed in r1137, since menu names are now automatically mapped to the proper localized string if it exists

(eg. if the menu name is :foo, the translated string :label_foo will be automatically used if it exists).

Look at the very end of this diff:

http://www.redmine.org/repositories/diff/redmine//trunk/lib/redmine/menu_manager.rb?rev=1137

It works fine for me. Could you confirm the bug ?

#3 - 2008-02-15 09:17 - Michael Pirogov

OK. Fresh checkout seems to be working. Fault is somewhere on my side. This issue have to be closed. Thanks and sorry for the havoc.

#4 - 2008-02-15 17:31 - Jean-Philippe Lang

- Status changed from New to Closed

#5 - 2008-02-17 16:37 - Michael Pirogov

- Status changed from Closed to Reopened

Got it :)

If I use any plugin, then all top menus translations are broken. Try to add extra/sample_plugin to the vendor/plugins/ directory, restart rails and you'll

see. Probably it cause of that plugin uses its own ymls?

#6 - 2008-02-22 20:17 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Applied in changeset r1172.
